You are here
Home > Preporuke > Sigurnosni nedostaci programskog paketa moodle

Sigurnosni nedostaci programskog paketa moodle

  • Detalji os-a: WN7
  • Važnost: IMP
  • Operativni sustavi: L
  • Kategorije: LFE

——————————————————————————–
Fedora Update Notification
FEDORA-2014-8609
2014-07-22 02:50:31
——————————————————————————–

Name : moodle
Product : Fedora 19
Version : 2.4.11
Release : 1.fc19
URL : http://moodle.org/
Summary : A Course Management System
Description :
Moodle is a course management system (CMS) – a free, Open Source software
package designed using sound pedagogical principles, to help educators create
effective online learning communities.

——————————————————————————–
Update Information:

Fixes for:

CVE-2014-3541, CVE-2014-3542, CVE-2014-3543, CVE-2014-3544, CVE-2014-3545, CVE-2014-3546, CVE-2014-3547, CVE-2014-3548, CVE-2014-3549, CVE-2014-3550, CVE-2014-3551, CVE-2014-3552, CVE-2014-3553

https://moodle.org/mod/forum/discuss.php?d=263858
http://seclists.org/oss-sec/2014/q3/195
——————————————————————————–
ChangeLog:

* Mon Jul 21 2014 Jon Ciesla <limburgher@gmail.com> – 2.4.11-1
– 2.4.11, Fix for CVE-2014-3541, CVE-2014-3542, CVE-2014-3543,
– CVE-2014-3544, CVE-2014-3545, CVE-2014-3546, CVE-2014-3547,
– CVE-2014-3548, CVE-2014-3549, CVE-2014-3550, CVE-2014-3551,
– CVE-2014-3552, CVE-2014-3553
* Wed May 21 2014 Jon Ciesla <limburgher@gmail.com> – 2.4.10-1
– CVE-2014-0213, CVE-2014-0214, CVE-2014-0215, CVE-2014-0216
– CVE-2014-0217, CVE-2014-0218
* Wed Mar 19 2014 Jon Ciesla <limburgher@gmail.com> – 2.4.9-1
– Fix for CVE-2014-0122, CVE-2014-0123, CVE-2014-0124,
– CVE-2014-0125, CVE-2014-0126, CVE-2014-0127, CVE-2014-0129
* Wed Jan 22 2014 Jon Ciesla <limburgher@gmail.com> – 2.4.8-1
– Fix for CVE-2014-0008,9,10.
* Thu Nov 14 2013 Jon Ciesla <limburgher@gmail.com> – 2.4.7-1
– 2.4.7, BZ 1025655,6, 1030084,5.
* Wed Sep 11 2013 Jon Ciesla <limburgher@gmail.com> – 2.4.6-1
– 2.4.6, multiple securty fixes, BZ 1006678.
– CVE-2012-6087 patch upstreamed.
* Fri Jul 12 2013 Jon Ciesla <limburgher@gmail.com> – 2.4.5-2
– Include two non-upstream additions to HTML-Quickform.
* Fri Jul 12 2013 Jon Ciesla <limburgher@gmail.com> – 2.4.5-1
– Latest upstream.
——————————————————————————–
References:

[ 1 ] Bug #1120979 – moodle: security issues fixed in the upstream 2.7.1, 2.6.4, 2.5.7, and 2.4.11 releases [fedora-all]
https://bugzilla.redhat.com/show_bug.cgi?id=1120979
[ 2 ] Bug #1120980 – moodle: security issues fixed in the upstream 2.7.1, 2.6.4, 2.5.7, and 2.4.11 releases [epel-all]
https://bugzilla.redhat.com/show_bug.cgi?id=1120980
——————————————————————————–

This update can be installed with the “yum” update program. Use
su -c ‘yum update moodle’ at the command line.
For more information, refer to “Managing Software with yum”,
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
——————————————————————————–
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce

——————————————————————————–
Fedora Update Notification
FEDORA-2014-8601
2014-07-22 02:50:14
——————————————————————————–

Name : moodle
Product : Fedora 20
Version : 2.5.7
Release : 1.fc20
URL : http://moodle.org/
Summary : A Course Management System
Description :
Moodle is a course management system (CMS) – a free, Open Source software
package designed using sound pedagogical principles, to help educators create
effective online learning communities.

——————————————————————————–
Update Information:

Fixes for:

CVE-2014-3541, CVE-2014-3542, CVE-2014-3543, CVE-2014-3544, CVE-2014-3545, CVE-2014-3546, CVE-2014-3547, CVE-2014-3548, CVE-2014-3549, CVE-2014-3550, CVE-2014-3551, CVE-2014-3552, CVE-2014-3553

https://moodle.org/mod/forum/discuss.php?d=263858
http://seclists.org/oss-sec/2014/q3/195
——————————————————————————–
ChangeLog:

* Mon Jul 21 2014 Jon Ciesla <limburgher@gmail.com> – 2.5.7-1
– 2.5.7, Fix for CVE-2014-3541, CVE-2014-3542, CVE-2014-3543,
– CVE-2014-3544, CVE-2014-3545, CVE-2014-3546, CVE-2014-3547,
– CVE-2014-3548, CVE-2014-3549, CVE-2014-3550, CVE-2014-3551,
– CVE-2014-3552, CVE-2014-3553
* Wed May 21 2014 Jon Ciesla <limburgher@gmail.com> – 2.5.6-1
– CVE-2014-0213, CVE-2014-0214, CVE-2014-0215, CVE-2014-0216,
– CVE-2014-0217, CVE-2014-0218
– Drop upstreamed tinymce patch.
* Wed Mar 19 2014 Jon Ciesla <limburgher@gmail.com> – 2.5.5-1
– Fix for CVE-2014-0122, CVE-2014-0123, CVE-2014-0124,
– CVE-2014-0125, CVE-2014-0126, CVE-2014-0127, CVE-2014-0129
* Wed Jan 22 2014 Jon Ciesla <limburgher@gmail.com> – 2.5.4-1
– Fix for CVE-2014-0008,9,10.
——————————————————————————–
References:

[ 1 ] Bug #1120979 – moodle: security issues fixed in the upstream 2.7.1, 2.6.4, 2.5.7, and 2.4.11 releases [fedora-all]
https://bugzilla.redhat.com/show_bug.cgi?id=1120979
[ 2 ] Bug #1120980 – moodle: security issues fixed in the upstream 2.7.1, 2.6.4, 2.5.7, and 2.4.11 releases [epel-all]
https://bugzilla.redhat.com/show_bug.cgi?id=1120980
——————————————————————————–

This update can be installed with the “yum” update program. Use
su -c ‘yum update moodle’ at the command line.
For more information, refer to “Managing Software with yum”,
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
——————————————————————————–
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce

AutorMarijo Plepelic
Cert idNCERT-REF-2014-07-0007-ADV
CveCERT-CVE-DUMMY
ID izvornikaCERT-ORIGID-DUMMY
ProizvodCERT-DUMMY-PRODUCT
Izvorhttp://www.adobe.com/
Top
More in Preporuke
Ranjivosti programskog paketa phpMyAdmin

Izdana je nadogradnja za otklanjanje višestrukih XSS ranjivosti kod programskog paketa phpmyadmin za Mandriva Business Server 1.0. Ranjivosti su potencijalno...

Close